Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hslf.blip
Class JPEG

    java.lang.Object
      org.apache.poi.hslf.usermodel.PictureData
          org.apache.poi.hslf.blip.Bitmap
              org.apache.poi.hslf.blip.JPEG

    public final class JPEG

extends Bitmap

Represents a JPEG picture data in a PPT file

Author:
  Yegor Kozlov

Field Summary

Fields inherited from class org.apache.poi.hslf.usermodel.PictureData
`CHECKSUM_SIZE, logger, offset, painters`

Constructor Summary
`JPEG()`

Method Summary
`int` | `getSignature()` JPEG signature is `0x46A0`
`int` | `getType()` Returns type of this picture.

Methods inherited from class org.apache.poi.hslf.blip.Bitmap
`getData, setData`

Methods inherited from class org.apache.poi.hslf.usermodel.PictureData
`create, draw, getChecksum, getHeader, getImagePainter, getOffset, getRawData, getSize, getUID, setImagePainter, setOffset, setRawData, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JPEG

    public JPEG()

Method Detail

### getType

    public int getType()

  Description copied from class: `PictureData`
  Returns type of this picture. Must be one of the static constants defined in the `Picture`class.

  ``
  Specified by:
    `getType` in class `PictureData`
  Returns:
    type of this picture
  See Also:
    `Picture.JPEG`

### getSignature

    public int getSignature()

  JPEG signature is `0x46A0`

  Specified by:
    `getSignature` in class `PictureData`
  Returns:
    JPEG signature (`0x46A0`)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.